{% extends "main/base.html" %}
{% block meta %}
{% endblock meta %}
{% block content %}
{% load static %}

<body style="background-color: #62C2CC;">
    <br><br><br><br><br>
    <div class="container py-4">
        <h1 class="display-4 text-center pb-4 border-bottom">MY ACTIVITY</h1>
        <Form method="POST" class="row my-5">
            {% csrf_token %}
            <div class="col-7 ml-auto">
                {{ formA.kegiatan }}
            </div>
            <button type="submit" class="btn btn-warning col-2 mr-auto">ADD ACTIVITY</button>
        </Form>
        <hr>
        <div class="d-flex justify-content-around flex-wrap pb-4">
            {% for data_kegiatan in kegiatan %}
            <div class="card bg-light mt-5" style="width: 18rem;">
                <div class="card-header">
                    <div class="row">
                        <h5 class="col-10 mb-2">{{ kegiatan }}</h5>
                        <a href="{% url 'storyenam:kegiatanDelete' kegiatan.id %}" class="col-2">
                            <button type="button" class="close mb-2">&times;</button>
                        </a>
                    </div>
                </div>
                <div class="card-body">
                    <h6 class="card-title">Members:</h6>
                    <p></p>
                    <ul>
    
                        {% for member in members %}
                        {% if member.aktivitas.id == kegiatan.id %}
                        <li class="row">
                            <h5 class="col-10">{{ member }}</h5>
                            <a href="{% url 'storyenam:memberDelete' member.id %}" class="col-2">
                                <button type="button" class="close">&times;</button>
                            </a>    
                        </li>
                        {% endif %}
                        {% endfor %}
    
                    </ul>
                    <form method="POST">
                        {% csrf_token %}
                        {{ formB.member }}
                        <input name="aktivitas" type="text" value="{{ kegiatan.id }}" style="display: none;">
                        <button type="submit" class="btn btn-warning col-6 mt-2">Join</button>
                    </form>
                </div>
            </div>
            {% endfor %}
        </div>
    </div>
</body>
    {% endblock content %}
    